@use "variables"

.main-menu
  top: 0
  height: 50px
  width: 100%
  z-index: 500
  background-color: variables.$black
  position: relative
  transition: margin-top, top 0.5s ease
  min-height: 50px

  &.search-open
    margin-top: 0
    transition: margin-top 0.5s ease

    .search-form
      height: 50px
      transition: height 0.5s ease

  .search-form
    background-color: variables.$red
    height: 0
    transition: height 0.5s ease
    position: relative

    input
      height: 50px
      border: 0
      outline-width: 0
      outline: none
      width: 100%
      max-width: variables.$header-width
      margin: 0 auto
      display: block
      background-color: transparent
      color: variables.$white
      font-size: 16px
      padding: 0 15px
      &::placeholder
        color: variables.$white

  .menu
    width: 100%
    max-width: variables.$header-width
    margin: 0 auto
    display: flex
    border-left: 1px solid variables.$dark-gray
    @media screen and (max-width: variables.$header-width)
      display: none
      border-left: 0
      padding-top: 50px

    > li
      flex-grow: 1
      border-right: 1px solid variables.$dark-gray
      &:hover
        background-color: variables.$dark-gray
      @media screen and (max-width: variables.$header-width)
        position: relative
        display: flex
        flex-wrap: wrap
        width: 100%
        border-right: 0
        border-bottom: 1px solid variables.$dark-gray

      > a
        line-height: 50px
        height: 50px
        padding-left: 10px
        &:hover
          color: variables.$blue
        @media screen and (max-width: variables.$header-width)
          padding-left: 30px
          padding-right: 60px

    a
      display: block
      color: variables.$white
      text-decoration: none
      outline-width: 0

      &.toggle-submenu
        display: none
        @media screen and (max-width: variables.$header-width)
          position: relative
          display: flex
          justify-content: center
          align-items: center
          height: 50px
          width: 50px
          padding: 0
          color: variables.$white
          margin-left: auto

  i
    @media screen and (max-width: variables.$header-width)
      position: absolute
      top: 50%
      left: 50%
      transform: translate(-50%, -50%)
      height: 12px
      width: 12px
      background-size: cover

    &.plus
      background-image: url("../images/plus.svg")

    &.min
      display: none
      background-image: url("../images/minus.svg")

  .home
    max-width: 40px
    background-image: url("../images/home.png")
    background-repeat: no-repeat
    background-size: 18px 18px
    background-position: center top 15px
    @media screen and (max-width: variables.$header-width)
      background-image: none
      max-width: 100%

    a
      text-indent: -9999px
      @media screen and (max-width: variables.$header-width)
        text-indent: 0


  ol
    padding-bottom: 15px
    @media screen and (max-width: variables.$header-width)
      display: none
      flex-basis: 100%

    a
      font-size: 12px
      padding-left: 10px
      padding-bottom: 1px
      padding-top: 0
      &:hover
        color: variables.$green
      @media screen and (max-width: variables.$header-width)
        padding-left: 60px
        padding-bottom: 10px

  li
    line-height: 21px
    list-style-position: outside

  .menu-toggle
    display: none
    padding-left: 30px
    line-height: 50px
    @media screen and (max-width: variables.$header-width)
      display: block
      height: 50px
      position: absolute
      top: 0
      transition: top 0.5s ease
      left: 0
      right: 50px

    img
      display: inline-block
      vertical-align: middle
      width: 30px
      height: 25px
      @media screen and (max-width: variables.$header-width)
        position: absolute
        top: 50%
        left: 30px
        transform: translateY(-50%)
      @media screen and (max-width: 500px)
        width: 24px
        height: 20px

  .mobile-title
    @media screen and (max-width: variables.$header-width)
      position: absolute
      text-align: center
      color: variables.$white
      padding-left: 50px
      padding-right: 0
      left: 0
      width: 100%
      font-size: 14px
      overflow: hidden
      text-overflow: ellipsis
      white-space: nowrap

  .menu-container
    position: absolute
    width: 100%
    background-color: variables.$black
    min-height: 50px
    overflow: hidden
    height: 50px
    transition: height, margin-top 0.5s ease
    &:hover
      height: auto
      transition: height, margin-top 0.5s ease
    @media screen and (max-width: variables.$header-width)
      height: auto
      min-height: 50px
      overflow: visible

  .suggestion-list
    position: absolute
    top: 100%
    left: 50%
    z-index: 1000
    font-size: 90%
    border-bottom: solid 2px variables.$red
    background-color: variables.$white
    display: none
    max-height: 250px
    overflow-y: auto
    width: 100%
    max-width: variables.$header-width
    transform: translateX(-50%)

    li
      display: block
      padding: 6px 15px
      cursor: pointer
      &:nth-child(even)
        background-color: #eee
      &:hover
        color: variables.$red

      .scientific
        font-size: 11px
        color: #777
        padding-bottom: 2px

      .common
        font-size: 14px
        color: #444
        padding-bottom: 4px

  .close-suggestion-list
    font-size: 21px
    position: absolute
    top: 50%
    color: variables.$white
    outline-width: 0
    transform: translateY(-50%)
    width: 50px
    height: 50px
    align-items: center
    display: flex
    justify-content: center
    right: 0

    img
      width: 21px
      height: 21px

  .search-container
    position: relative
    margin: 0 auto
    width: 100%
    max-width: variables.$header-width

    .search-form
      height: 50px
      transition: height 0.5s ease

  .menu-holder
    display: flex
    margin: 0 auto
    width: 100%
    max-width: variables.$header-width

    .search-toggle
      height: 50px
      background-color: variables.$red
      display: flex
      width: 47px
      justify-content: center
      align-items: center
      margin-left: auto
      @media screen and (max-width: variables.$header-width)
        position: absolute
        top: 0
        right: 0
        transition: top 0.5s ease
        background-color: transparent
